import $req from '../request';

/**
 * 当前登录用户的绑定信息
 * @param params 请求参数
 */
export const getCurInfo = params =>
    $req({
        method: 'get',
        url: '/parentBind/curInfo',
        params,
    });

/**
 * 家长绑定管理员
 * @param data 请求参数
 */
export const parentBindAdmin = data =>
    $req({
        method: 'post',
        url: '/parentBind/admin',
        data,
    });

/**
 * 家长申请绑定
 * @param data 请求参数
 */
export const parentBindApply = data =>
    $req({
        method: 'post',
        url: '/parentBind/apply',
        data,
    });

/**
 * -设备当前管理员信息
 * @param params 请求参数
 */
export const adminInfo = params =>
    $req({
        method: 'get',
        url: '/parentBind/adminInfo',
        params,
    });

/**
 * -家长申请绑定信息
 * @param params 请求参数
 */
export const applyInfo = params =>
    $req({
        method: 'get',
        url: '/parentBind/apply/info',
        params,
    });

/**
 * 管理员审批
 * @param data 请求参数
 */
export const adminApproval = data =>
    $req({
        method: 'post',
        url: '/parentBind/admin/approval',
        data,
    });

/**
 * 时间管控保存
 * @param data 请求参数
 */
export const deviceTimeControl = data =>
    $req({
        method: 'post',
        url: '/deviceTimeControl',
        data,
    });
